When specified, the value of this property will be used on the admin pages instead of the label. It is useful for fields with long labels. Applies to: All fields
adminOnly
bool
no
Determines if this field should only visible on the administration pages. A value of 1 will mark the field as admin only and will hide it from the public form. Useful for fields such as “status” that help with managing entries, but don’t apply to users filling out the form. Applies to: All fields
allowsPrepopulate
bool
no
Determines if the field’s value can be pre-populated dynamically. 1 to allow field to be pre-populated, 0 otherwise. Applies to: All fields
choices
array
no
An array of choices. See Choice Parameters bellow for how each choice in the array should be defined. Applies to: checkboxes, radio, select, and post_category
Conditional Logic
array
no
Controls the visibility of the field based on values selected by the user.
content
string
no
Content of an HTML block field to be displayed on the form. Applies to: html
cssClass
string
no
Custom CSS class to be added to the <li> tag that contains the field. Useful to apply custom formatting to specific fields. Applies to: All fields
defaultValue
string
no
Contains the default value for the field. When specified, the field’s value will be populated with the contents of this property when the form is displayed. Applies to: hidden, text, website, phone, number, date, textarea, email
description
string
no
Field description. Applies to: All fields
enableChoiceValue
bool
no
Determines if the field (checkbox, select or radio) have choice values enabled, which allows the field to have choice values different from the labels that are displayed to the user. Applies to: checkbox, select and radio
errorMessage
string
no
Contains the message that is displayed for fields that fail validation. Applies to: All fields except html, section and hidden
id
integer
no
Field id
inputName
string
no
Assigns a name to this field so that it can be populated dynamically via this input name. Only applicable when allowsPrepopulate is set to 1. Applies to: All fields except section
inputs
array
no
An array of inputs. See Input Parameters bellow for how each input should be defined. Applies to: name, address, checkbox. Note: For checkbox fields, there should be an input for each choice.
isRequired
bool
no
Determines if the field requires the user to enter a value. 1 marks the field as required, 0 marks the field as not required. Fields marked as required will prevent the form from being submitted if the user has not entered a value in it. Applies to: All fields except section, html
label
string
no
Field label that will be displayed on the form and on the admin pages. Applies to: All fields
noDuplicates
bool
no
Determines if the field allows duplicate submissions. 1 to prevent users from submitting the same value more than once, 0 to allow duplicate values. Applies to: hidden, text, website, phone, number, date, time, textarea, select, radio, email
size
string
no
Determines the size of the field when displayed on the page. Applies to: All fields except html and section. Possible values: small, medium, large
type
string
no
The type of field to be displayed. Applies to: All fields. Possible values: html, hidden, section, text, website, phone, number, date, time, textarea, select, checkbox, radio, name, address, fileupload, email
placeholder
string
no
Use the Placeholder to give a hint at the expected value or format. Applies to: All fields except section, HTML, hidden, radio buttons, checkbox, multiple choice, image choice, page
choiceAlignment
string
no
The alignment for choices. Applies to: multiple choice field. Possible values: horizontal, vertical
Choice parameters
Parameter
Type
Required
Description
text
string
yes
The text to be displayed to the user when displaying this choice.
value
string
yes
The value to be stored in the database when this choice is selected.
isSelected
bool
no
Indicates if the choice should be selected by default when the field is displayed.
price
string
no
The price of the item. Used by Product, Option, and Shipping type fields.
Input parameters
Parameter
Type
Required
Description
id
string
yes
The input ID. Follows the naming convention: FIELDID.NUMBER (e.g. 5.1), where FIELDID is the id of the containing field, and NUMBER is a unique value that does not end with 0.
label
string
yes
The input label.
name
bool
yes
The input parameter name for use with dynamic population.
When specified, the value of this property will be used on the admin pages instead of the label. It is useful for fields with long labels. Applies to: All fields
adminOnly
bool
no
Determines if this field should only visible on the administration pages. A value of 1 will mark the field as admin only and will hide it from the public form. Useful for fields such as “status” that help with managing entries, but don’t apply to users filling out the form. Applies to: All fields
allowsPrepopulate
bool
no
Determines if the field’s value can be pre-populated dynamically. 1 to allow field to be pre-populated, 0 otherwise. Applies to: All fields
choices
array
no
An array of choices. See Choice Parameters bellow for how each choice in the array should be defined. Applies to: checkboxes, radio, select, and post_category
Conditional Logic
array
no
Controls the visibility of the field based on values selected by the user.
content
string
no
Content of an HTML block field to be displayed on the form. Applies to: html
cssClass
string
no
Custom CSS class to be added to the <li> tag that contains the field. Useful to apply custom formatting to specific fields. Applies to: All fields
defaultValue
string
no
Contains the default value for the field. When specified, the field’s value will be populated with the contents of this property when the form is displayed. Applies to: hidden, text, website, phone, number, date, textarea, email
description
string
no
Field description. Applies to: All fields
enableChoiceValue
bool
no
Determines if the field (checkbox, select or radio) have choice values enabled, which allows the field to have choice values different from the labels that are displayed to the user. Applies to: checkbox, select and radio
errorMessage
string
no
Contains the message that is displayed for fields that fail validation. Applies to: All fields except html, section and hidden
id
integer
no
Field id
inputName
string
no
Assigns a name to this field so that it can be populated dynamically via this input name. Only applicable when allowsPrepopulate is set to 1. Applies to: All fields except section
inputs
array
no
An array of inputs. See Input Parameters bellow for how each input should be defined. Applies to: name, address, checkbox. Note: For checkbox fields, there should be an input for each choice.
isRequired
bool
no
Determines if the field requires the user to enter a value. 1 marks the field as required, 0 marks the field as not required. Fields marked as required will prevent the form from being submitted if the user has not entered a value in it. Applies to: All fields except section, html
label
string
no
Field label that will be displayed on the form and on the admin pages. Applies to: All fields
noDuplicates
bool
no
Determines if the field allows duplicate submissions. 1 to prevent users from submitting the same value more than once, 0 to allow duplicate values. Applies to: hidden, text, website, phone, number, date, time, textarea, select, radio, email
size
string
no
Determines the size of the field when displayed on the page. Applies to: All fields except html and section. Possible values: small, medium, large
type
string
no
The type of field to be displayed. Applies to: All fields. Possible values: html, hidden, section, text, website, phone, number, date, time, textarea, select, checkbox, radio, name, address, fileupload, email
placeholder
string
no
Use the Placeholder to give a hint at the expected value or format. Applies to: All fields except section, HTML, hidden, radio buttons, checkbox, multiple choice, image choice, page
choiceAlignment
string
no
The alignment for choices. Applies to: multiple choice field. Possible values: horizontal, vertical
Choice parameters
Parameter
Type
Required
Description
text
string
yes
The text to be displayed to the user when displaying this choice.
value
string
yes
The value to be stored in the database when this choice is selected.
isSelected
bool
no
Indicates if the choice should be selected by default when the field is displayed.
price
string
no
The price of the item. Used by Product, Option, and Shipping type fields.
Input parameters
Parameter
Type
Required
Description
id
string
yes
The input ID. Follows the naming convention: FIELDID.NUMBER (e.g. 5.1), where FIELDID is the id of the containing field, and NUMBER is a unique value that does not end with 0.
label
string
yes
The input label.
name
bool
yes
The input parameter name for use with dynamic population.
Delete a form
Use this DELETE request to delete a form
DELETE /forms/{form_id}
The id must a valid form id that belongs to the account.
Request parameters
Parameter
Type
Required
Description
force
integer
no
Default is 0. Set to 1 in order to permanently delete the form.
Join more than 80,000 brands using Woorise
Easily create landing pages, forms, surveys, quizzes & viral giveaways that drive real user engagement.